Bug 187854 - X driver hangs FC5 on Apple Powerbook
X driver hangs FC5 on Apple Powerbook
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 19:11 EDT by Jared Smith
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 09:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X debug log (41.42 KB, text/plain)
2006-04-03 19:11 EDT, Jared Smith
no flags Details
Output of /proc/cpuinfo (324 bytes, text/plain)
2006-04-17 13:23 EDT, Jared Smith
no flags Details

  None (edit)
Description Jared Smith 2006-04-03 19:11:20 EDT
Description of problem:
The radeon driver in stock FC5 PPC doesn't work on a 15" Powerbook.  When the X
driver loads, it completely hangs the system.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.5.7.3-4


How reproducible:

Crashes and burns every time!

Steps to Reproduce:
1.  Do a text-based install of FC5-ppc
2.  Make sure xorg.conf looks reasonable
3.  Start X  

Actual results:
The display goes black, and the machine completely hangs.


Expected results:
X working

Additional info:

With the invaluable help of David Woodhouse, we were able to track down the
problem.  I've attached the output of starting X on display :1 while logged in
through SSH, which shows the problem.  The last few lines are:

#
(II) RADEON(0): [drm] drmOpen failed
#
(EE) RADEON(0): [dri] DRIScreenInit failed.  Disabling DRI.
#
(II) RADEON(0): Depth moves disabled by default
#
(II) RADEON(0): Memory manager initialized to (0,0) (1280,8191)
#
(II) RADEON(0): Reserved area from (0,854) to (1280,856)
#
(II) RADEON(0): Largest offscreen area available: 1280 x 7335
#
(II) RADEON(0): Render acceleration unsupported on Radeon 9500/9700 and newer.
#
(II) RADEON(0): Render acceleration disabled 

David Woodhouse had me try some modules from the ati-1-0-branch that he had
created, and they work great.  I'm more than happy to test updated RPMs or do
additional testing if you'd like -- just let me know!
Comment 1 Jared Smith 2006-04-03 19:11:20 EDT
Created attachment 127263 [details]
X debug log
Comment 2 David Woodhouse 2006-04-03 19:14:21 EDT
Next few lines of output (from a _working_ driver) should have been...

(II) RADEON(0): Render acceleration unsupported on Radeon 9500/9700 and newer.
(II) RADEON(0): Render acceleration disabled
(**) RADEON(0): EngineInit (32/32)
(**) RADEON(0): Pitch for acceleration = 180
(**) RADEON(0): EngineRestore (32/32)
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
Comment 3 Jared Smith 2006-04-07 11:22:51 EDT
I hate to be a pest, but does anyone know when an update to X will happen?
Comment 4 Robert Story 2006-04-14 11:36:37 EDT
just to add a counterpoint, the radeon driver worked fine out of the box on my
15" AlBook (PowerBook5,6). Which model was this? (cat /proc/cpuinfo|grep machine)
Comment 5 Jared Smith 2006-04-17 13:22:40 EDT
Mine says "PowerBook5,6" just like yours.  I've attached the output of
/proc/cpuinfo for your information.

Comment 6 Jared Smith 2006-04-17 13:23:39 EDT
Created attachment 127813 [details]
Output of /proc/cpuinfo
Comment 7 Mike A. Harris 2006-05-19 05:43:16 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 9 Jared Smith 2007-01-26 09:54:30 EST
Go ahead and close this bug... everything is working on Fedora Core 6.

Note You need to log in before you can comment on or make changes to this bug.